Upstream information

CVE-2016-8654 at MITRE

Description

A heap-buffer overflow vulnerability was found in QMFB code in JPC codec caused by buffer being allocated with too small size. jasper versions before 2.0.0 are affected.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3.1
SUSE Bugzilla entries: 1012530 [RESOLVED / FIXED], 1178702 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libjasper1 >= 1.900.14-184.1
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libjasper-devel >= 1.900.14-134.32.1
Patchnames:
sdksp4-jasper-13051
SUSE Linux Enterprise Desktop 12 SP1
  • libjasper-devel >= 1.900.14-184.1
  • libjasper1 >= 1.900.14-184.1
  • libjasper1-32bit >= 1.900.14-184.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-27
SUSE-SLE-SDK-12-SP1-2017-27
SUSE Linux Enterprise Desktop 12 SP2
  • libjasper-devel >= 1.900.14-184.1
  • libjasper1 >= 1.900.14-184.1
  • libjasper1-32bit >= 1.900.14-184.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-27
SUSE-SLE-SDK-12-SP2-2017-27
SUSE Linux Enterprise Desktop 12 SP3
  • libjasper-devel >= 1.900.14-194.1
  • libjasper1 >= 1.900.14-194.1
  • libjasper1-32bit >= 1.900.14-194.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libjasper1-1.900.14-194.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libjasper-devel-1.900.14-194.1
SUSE Linux Enterprise Desktop 12 SP4
  • libjasper-devel >= 1.900.14-195.8.1
  • libjasper1 >= 1.900.14-195.8.1
  • libjasper1-32bit >= 1.900.14-195.8.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libjasper1-1.900.14-195.8.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libjasper-devel-1.900.14-195.8.1
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Storage 6
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • libjasper-devel >= 2.0.14-3.3.2
  • libjasper4 >= 2.0.14-3.3.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libjasper4-2.0.14-3.3.2
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA libjasper-devel-2.0.14-3.3.2
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Storage 7
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • libjasper-devel >= 2.0.14-3.11.8
  • libjasper4 >= 2.0.14-3.11.8
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA libjasper4-2.0.14-3.11.8
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 GA libjasper-devel-2.0.14-3.11.8
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libjasper4-2.0.14-3.19.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 GA libjasper-devel-2.0.14-3.19.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libjasper-devel >= 2.0.14-150000.3.25.1
  • libjasper4 >= 2.0.14-150000.3.25.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libjasper4-2.0.14-150000.3.25.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libjasper-devel-2.0.14-150000.3.25.1
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • libjasper-devel >= 2.0.14-1.19
  • libjasper4 >= 2.0.14-1.19
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libjasper4-2.0.14-1.19
SUSE Linux Enterprise Module for Desktop Applications 15 GA libjasper-devel-2.0.14-1.19
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libjasper1 >= 1.900.14-195.15.1
  • libjasper1-32bit >= 1.900.14-195.15.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libjasper1-1.900.14-195.15.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libjasper4 >= 2.0.14-3.3.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libjasper4-2.0.14-3.3.2
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libjasper4 >= 2.0.14-3.11.8
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA libjasper4-2.0.14-3.11.8
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libjasper4-2.0.14-3.19.1
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • libjasper4 >= 2.0.14-150000.3.25.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libjasper4-2.0.14-150000.3.25.1
SUSE Linux Enterprise Module for Basesystem 15
  • libjasper4 >= 2.0.14-1.19
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libjasper4-2.0.14-1.19
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • libjasper-devel >= 2.0.14-3.3.2
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA libjasper-devel-2.0.14-3.3.2
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • libjasper-devel >= 2.0.14-3.11.8
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 GA libjasper-devel-2.0.14-3.11.8
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • libjasper-devel >= 2.0.14-3.19.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 GA libjasper-devel-2.0.14-3.19.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
  • libjasper-devel >= 2.0.14-150000.3.25.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libjasper-devel-2.0.14-150000.3.25.1
SUSE Linux Enterprise Module for Desktop Applications 15
  • libjasper-devel >= 2.0.14-1.19
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA libjasper-devel-2.0.14-1.19
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libjasper >= 1.900.14-134.32.1
  • libjasper-32bit >= 1.900.14-134.32.1
  • libjasper-devel >= 1.900.14-134.32.1
  • libjasper-x86 >= 1.900.14-134.32.1
Patchnames:
sdksp4-jasper-13051
slessp4-jasper-13051
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libjasper-devel >= 1.900.14-184.1
  • libjasper1 >= 1.900.14-184.1
  • libjasper1-32bit >= 1.900.14-184.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-27
SUSE-SLE-SERVER-12-SP1-2017-27
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libjasper-devel >= 1.900.14-184.1
  • libjasper1 >= 1.900.14-184.1
  • libjasper1-32bit >= 1.900.14-184.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-27
SUSE-SLE-SERVER-12-SP2-2017-27
SUSE Linux Enterprise Server 12 SP3
  • libjasper-devel >= 1.900.14-194.1
  • libjasper1 >= 1.900.14-194.1
  • libjasper1-32bit >= 1.900.14-194.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libjasper1-1.900.14-194.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libjasper-devel-1.900.14-194.1
SUSE Linux Enterprise Server 12 SP4
  • libjasper-devel >= 1.900.14-195.8.1
  • libjasper1 >= 1.900.14-195.8.1
  • libjasper1-32bit >= 1.900.14-195.8.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libjasper1-1.900.14-195.8.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libjasper-devel-1.900.14-195.8.1
SUSE Linux Enterprise Server 12 SP5
  • libjasper-devel >= 1.900.14-195.15.1
  • libjasper1 >= 1.900.14-195.15.1
  • libjasper1-32bit >= 1.900.14-195.15.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libjasper1-1.900.14-195.15.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libjasper-devel-1.900.14-195.15.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libjasper1 >= 1.900.14-184.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-27
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libjasper-devel >= 1.900.14-194.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libjasper-devel-1.900.14-194.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libjasper-devel >= 1.900.14-195.8.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libjasper-devel-1.900.14-195.8.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libjasper-devel >= 1.900.14-195.15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libjasper-devel-1.900.14-195.15.1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libjasper-devel >= 1.900.14-184.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-27
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libjasper-devel >= 1.900.14-184.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-27
openSUSE Leap 15.0
  • libjasper4 >= 2.0.14-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libjasper4-2.0.14-lp150.1.1
openSUSE Leap 15.2
  • libjasper4 >= 2.0.14-lp152.6.1
Patchnames:
openSUSE Leap 15.2 GA libjasper4-2.0.14-lp152.6.1
openSUSE Leap 15.3
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
openSUSE Leap 15.3 GA libjasper4-2.0.14-3.19.1
openSUSE Leap 15.4
  • libjasper4 >= 2.0.14-150000.3.25.1
Patchnames:
openSUSE Leap 15.4 GA libjasper4-2.0.14-150000.3.25.1
openSUSE Tumbleweed
  • jasper >= 1.900.14-3.1
  • libjasper-devel >= 1.900.14-3.1
  • libjasper1 >= 1.900.14-3.1
  • libjasper1-32bit >= 1.900.14-3.1
Patchnames:
openSUSE Tumbleweed GA jasper-1.900.14-3.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 jasper In progress
SUSE CaaS Platform 4.0 jasper Already fixed
SUSE Enterprise Storage 6 jasper Already fixed
SUSE Linux Enterprise Desktop 11 SP4 jasper Released
SUSE Linux Enterprise Desktop 12 SP1 jasper Released
SUSE Linux Enterprise Desktop 12 SP2 jasper Released
SUSE Linux Enterprise Desktop 12 SP4 jasper Already fixed
SUSE Linux Enterprise Desktop 15 jasper Not affected
SUSE Linux Enterprise Desktop 15 SP1 jasper Not affected
SUSE Linux Enterprise Desktop 15 SP2 jasper Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP4 jasper Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 jasper Released
SUSE Linux Enterprise High Performance Computing 15 jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS jasper Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS jasper Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 jasper Already fixed
SUSE Linux Enterprise Module for Basesystem 15 jasper Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 jasper Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 jasper Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 jasper Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 jasper Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 jasper Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 jasper In progress
SUSE Linux Enterprise Server 11 SP4 jasper Released
SUSE Linux Enterprise Server 11 SP4 LTSS jasper In progress
SUSE Linux Enterprise Server 12 SP1 jasper Released
SUSE Linux Enterprise Server 12 SP1 LTSS jasper Already fixed
SUSE Linux Enterprise Server 12 SP2 jasper Released
SUSE Linux Enterprise Server 12 SP2 BCL jasper In progress
SUSE Linux Enterprise Server 12 SP2 LTSS jasper Already fixed
SUSE Linux Enterprise Server 12 SP3 BCL jasper In progress
SUSE Linux Enterprise Server 12 SP3 ESPOS jasper In progress
SUSE Linux Enterprise Server 12 SP3 LTSS jasper In progress
SUSE Linux Enterprise Server 12 SP4 jasper Already fixed
SUSE Linux Enterprise Server 12 SP4 ESPOS jasper In progress
SUSE Linux Enterprise Server 12 SP4 LTSS jasper In progress
SUSE Linux Enterprise Server 12 SP5 jasper Already fixed
SUSE Linux Enterprise Server 15 jasper Not affected
SUSE Linux Enterprise Server 15 ESPOS jasper Already fixed
SUSE Linux Enterprise Server 15 LTSS jasper Already fixed
SUSE Linux Enterprise Server 15 SP1 jasper Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS jasper Already fixed
SUSE Linux Enterprise Server 15 SP2 jasper Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 jasper Already fixed
SUSE Linux Enterprise Server for SAP Applications 11 SP4 jasper Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 jasper Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 jasper Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 jasper In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 jasper Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 jasper Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 jasper Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 jasper Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 jasper Already fixed
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 jasper Released
SUSE Linux Enterprise Software Development Kit 11 SP4 jasper Released
SUSE Linux Enterprise Software Development Kit 12 SP1 jasper Released
SUSE Linux Enterprise Software Development Kit 12 SP2 jasper Released
SUSE Linux Enterprise Software Development Kit 12 SP4 jasper Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 jasper Already fixed
SUSE Linux Enterprise Storage 6 jasper Not affected
SUSE Linux Enterprise Storage 7 jasper Already fixed
SUSE Manager Proxy 4.0 jasper Not affected
SUSE Manager Proxy 4.1 jasper Already fixed
SUSE Manager Retail Branch Server 4.0 jasper Not affected
SUSE Manager Retail Branch Server 4.1 jasper Already fixed
SUSE Manager Server 4.0 jasper Not affected
SUSE Manager Server 4.1 jasper Already fixed
SUSE OpenStack Cloud 8 jasper In progress
SUSE OpenStack Cloud 9 jasper In progress
SUSE OpenStack Cloud Crowbar 8 jasper In progress
SUSE OpenStack Cloud Crowbar 9 jasper In progress